Bug 779843 - (SOA-2203) [JBESB-3440] Smooks 1.2 JavaBean namespace with wise SoapClient causes ClassNotFoundException
[JBESB-3440] Smooks 1.2 JavaBean namespace with wise SoapClient causes ClassN...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.2
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 11:41 EDT by Toshiya Kobayashi
Modified: 2011-02-11 00:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-11 00:16:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2203 Major Closed [JBESB-3440] Smooks 1.2 JavaBean namespace with wise SoapClient causes ClassNotFoundException 2013-05-07 12:18:56 EDT

  None (edit)
Description Toshiya Kobayashi 2010-08-05 11:41:52 EDT
Affects: Release Notes
Help Desk Ticket Reference: https://access.redhat.com/issue-tracker/1188673
project_key: SOA

Platform JIRA for [JBESB-3440] Smooks 1.2 JavaBean namespace with wise SoapClient causes ClassNotFoundException
Comment 1 Toshiya Kobayashi 2010-08-05 11:44:11 EDT
Link: Added: This issue incorporates JBESB-3440
Comment 2 Anne-Louise Tangring 2010-09-10 14:18:32 EDT
This is a candidate to SOA 5.1.0. No decision on inclusion, needs more investigation.
Comment 4 Darrin Mison 2011-01-04 19:14:25 EST
Writer: Added: dlesage
Comment 5 David Le Sage 2011-02-11 00:11:01 EST
Temporarily reopening to update release note info.
Comment 6 David Le Sage 2011-02-11 00:15:52 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3440

WISE was loading the Smooks configuration for populating the Java classes, before the classes actually existed on the class-path. This caused an issue for the name-space configuration which needs to be able to load the class instance to perform some checks. As the classes did not yet exist, it would throw an exception.


To fix this problem, a modification was made to the WISE SmooksMapper class and the Smooks instance creation was moved out of the constructor and into the "applyMapping" method. The classes are already generated by the time this is run, so the exception no longer occurs.

Note You need to log in before you can comment on or make changes to this bug.